import React from 'react';

interface FCProps {
    children?: React.ReactNode | any;
}
declare type Wrap = React.FC<FCProps> | JSX.Element;
/**
 * @example
 * const Wrapper = useWrapper(
 *   MutDrawerProvider,
 *   MutModalProvider,
 *   [AccessTokenProvider, {getTokenFn: _AuthTools.getToken}],
 *   UmiRouterProvider
 * )
 * return (
 *   <Wrapper>{children}</Wrapper>
 * )
 * @param args
 * @returns
 */
declare const useProviderWrapper: (...args: Array<[Wrap, any] | Wrap>) => React.FC<FCProps>;

export { useProviderWrapper as useWrapper };
